/*
	Timer Structure
*/

#ifndef DEF_TIMER_DATA__
#define DEF_TIMER_DATA__

typedef struct Timer
{
	char srai;		//Self-Restore active input.(enable, disable)
	char srdi;		//Self-Restore detect input.(manual, detected or both)
	char srf;		//Self-Restore function.(normal or reverse)
	int16_t srtime;		//Self-Restore delay time.(seconds)
	double psdebounce;	//Pressure Switch Debounce time.(milliseconds)
	double psbreaktime;	//Pressure Switch Breakaway time.(seconds)
	double psintertime;	//Pressure Switch Intermittent load time.(seconds)
	int16_t inputdebounce;	//Input debounce time.(seconds)
	int16_t maxrtime;	//Maximum run time.(seconds)
	int16_t dvcdtime;	//Directional value coil delay time.(milliseconds)
	int16_t ldttime;        //Throw delay time after power/hand lever disable(just work in the first throw).(seconds)
}TIMER_DATA;
#endif

